收藏
回答

IOS8.XX 不支持promise 么

问题模块
客户端

我们有IOS8的用户反应无法加载数据,我们的小程序大部分request都用了promise 做加载,不知是否是这个原因。


原来我们引用了外部的库,后来小程序本身支持promise了,就把引入的库删掉了,毕竟小程序寸土寸金,不想多占任何地方。

最后一次编辑于  2017-06-09
回答关注问题邀请回答
收藏

4 个回答

  • stephen
    stephen
    2017-06-10

    @nivk

    好的谢谢

    2017-06-10
    赞同
    回复
  • 发芽的土豆
    发芽的土豆
    2017-06-10

    IOS8用的是系统的内核运行JS的,因此不支持Promise是很正常的。

    如果您的客户主要使用IOS8,还请您自行兼容。

    2017-06-10
    赞同
    回复
  • stephen
    stephen
    2017-06-10

    @nivk


    谢谢回复,我的ES6转ES5一直都是开着的。。。

    2017-06-10
    赞同
    回复
  • 发芽的土豆
    发芽的土豆
    2017-06-09

    您好,您可以尝试开启ES6转ES5。

    因为X5内核无法在IOS中运行,所以导致了安卓和IOS的差别。

    而IOS各版本各有不同,支持API的程度也不同,对您造成的不便还请谅解。


    目前微信小程序包大小已经开放至2MB,请您根据具体需求制作。

    谢谢您的支持。

    2017-06-09
    赞同
    回复